> ## Documentation Index
> Fetch the complete documentation index at: https://docs.1px.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# update markdown

> update an existing markdown. max 512kb. limited to 600 edit requests per hour.



## OpenAPI

````yaml /api-reference/openapi.json patch /markdown/{id}
openapi: 3.1.0
info:
  title: 1px API
  description: minimalistic tools for the web.
  version: 1.0.0
  contact:
    name: 1px
    url: https://1px.ch
servers:
  - url: https://api.1px.ch
    description: production
security:
  - bearerAuth: []
paths:
  /markdown/{id}:
    patch:
      summary: update markdown
      description: >-
        update an existing markdown. max 512kb. limited to 600 edit requests per
        hour.
      operationId: updateMarkdown
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                content:
                  type: string
                  example: '# updated'
              required:
                - content
      responses:
        '200':
          description: markdown updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
        '400':
          description: missing content or exceeds 512kb
        '401':
          description: missing or invalid api key
        '404':
          description: markdown not found
        '429':
          description: rate limited
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: your 1px api key. get one from /dashboard/api

````